{% extends "base.html" %} {% block title %}Add new listing{% endblock %}

{% block content %}
<h1>Add new listing</h1>

{% if new_listing %}
    <form method="POST" action="/save-listing">
        {{ new_listing.hidden_tag() }}
        {% for field in new_listing %}
            {% if field.name == "url" %}
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="url">{{ field.label }}</span>
                  </div>
                  {{ field(class="form-control") }}
                </div>
            {% elif field.name == "site" %}
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="site">{{ field.label }}</span>
                  </div>
                  {{ field(class="form-control") }}
                </div>
            {% elif field.name == "csrf_token" %}
                <br/>
            {% elif field.name == "submit" %}
                <div class="form-group mb-3">
                    {{ field(class="btn btn-primary")}}
                </div>
            {% else %}
                <div class="form-group mb-3">
                    {{ field.label }}:
                    {{ field(class="form-control") }}
                </div>
            {% endif %}
        {% endfor %}
    </form>

{% else %}
    {% for field, errors in new_url_form.errors.items() %}
    <div class="alert alert-danger" role="alert">
        {{ ', '.join(errors) }}
    </div>
    {% endfor %}

    <form class="form" method="POST" action="">
        {{ new_url_form.csrf_token }}
        <div class="form-group mb-3">
            {{ new_url_form.site.label }}
            {{ new_url_form.site(class="form-control") }}
        </div>
        <div class="form-group mb-3">
            {{ new_url_form.url.label }}
            {{ new_url_form.url(class="form-control") }}
        </div>
        <div class="form-group mb-3">
            {{ new_url_form.submit(class="btn btn-primary")}}
        </div>
    </form>

{% endif %}
{% endblock %}
